What OS versions are supported with the new Hightail apps?

1. To get the latest Spaces applications please log into your account and click on your Avatar at the top right-hand side of the screen

2.  Mouse over the applications above where it says 'Get the Spaces apps'  at the bottom of the page and choose the Windows or Mac application.

*Mac version 10.10 or later is required for the new Spaces Mac app.

*Windows version 7 or later is required for the new Spaces Windows app.

 

Powered by Zendesk